package domain


type AlibabaTclsAelophyBillDetailQueryBillDetailDTO struct {
    /*
        商家编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" `

    /*
        经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        渠道     */
    OrderFrom  *string `json:"order_from,omitempty" `

    /*
        明细单据唯一结算标识     */
    SettleBizId  *string `json:"settle_biz_id,omitempty" `

    /*
        账单日期     */
    BillDate  *string `json:"bill_date,omitempty" `

    /*
        商家应收金额，正号代表收入，负号代表支出     */
    SettleAmount  *string `json:"settle_amount,omitempty" `

    /*
        商品总金额     */
    SkuAmount  *string `json:"sku_amount,omitempty" `

    /*
        计费基数     */
    ChargeBaseAmount  *string `json:"charge_base_amount,omitempty" `

    /*
        商户应收包装费总额，正号代表收入，负号代表支出     */
    PackageAmount  *string `json:"package_amount,omitempty" `

    /*
        商户应收总运费，正号代表收入，负号代表支出     */
    SendAmount  *string `json:"send_amount,omitempty" `

    /*
        商户补贴总金额，正负号存在渠道差异     */
    MerchantSubsidyAmount  *string `json:"merchant_subsidy_amount,omitempty" `

    /*
        平台营销补贴费用，正号代表收入，负号代表支出     */
    PlatSubsidyAmount  *string `json:"plat_subsidy_amount,omitempty" `

    /*
        品牌营销补贴费用，正号代表收入，负号代表支出     */
    BrandSubsidyAmount  *string `json:"brand_subsidy_amount,omitempty" `

    /*
        代理商营销补贴费用，正号代表收入，负号代表支出     */
    AgentSubsidyAmount  *string `json:"agent_subsidy_amount,omitempty" `

    /*
        技术服务费，正号代表收入，负号代表支出     */
    ChannelCommissionAmount  *string `json:"channel_commission_amount,omitempty" `

    /*
        基础物流费，正号代表收入，负号代表支出     */
    BaseLogisticsAmount  *string `json:"base_logistics_amount,omitempty" `

    /*
        增值服务费，正号代表收入，负号代表支出     */
    AddedValueAmount  *string `json:"added_value_amount,omitempty" `

    /*
        其它服务费，正号代表收入，负号代表支出     */
    OtherFeeAmount  *string `json:"other_fee_amount,omitempty" `

    /*
        手续费，正号代表收入，负号代表支出     */
    HandleFeeAmount  *string `json:"handle_fee_amount,omitempty" `

    /*
        其它费用     */
    ExtendInfo  *string `json:"extend_info,omitempty" `

    /*
        账单类型     */
    Type  *string `json:"type,omitempty" `

    /*
        渠道订单号     */
    ChannelOrderId  *string `json:"channel_order_id,omitempty" `

    /*
        平台红包补贴     */
    PlatformVoucherSubsidyFee  *string `json:"platform_voucher_subsidy_fee,omitempty" `

    /*
        商家承担红包补贴费用     */
    MerchantVoucherSubsidyFee  *string `json:"merchant_voucher_subsidy_fee,omitempty" `

    /*
        平台包装费     */
    PlatPackageFee  *string `json:"plat_package_fee,omitempty" `

    /*
        用户实付金额     */
    UserPayAmount  *string `json:"user_pay_amount,omitempty" `

}

func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetMerchantCode(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetStoreId(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.StoreId = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetOrderFrom(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.OrderFrom = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetSettleBizId(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.SettleBizId = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetBillDate(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.BillDate = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetSettleAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.SettleAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetSkuAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.SkuAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetChargeBaseAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.ChargeBaseAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetPackageAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.PackageAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetSendAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.SendAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetMerchantSubsidyAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.MerchantSubsidyAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetPlatSubsidyAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.PlatSubsidyAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetBrandSubsidyAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.BrandSubsidyAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetAgentSubsidyAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.AgentSubsidyAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetChannelCommissionAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.ChannelCommissionAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetBaseLogisticsAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.BaseLogisticsAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetAddedValueAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.AddedValueAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetOtherFeeAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.OtherFeeAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetHandleFeeAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.HandleFeeAmount = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetExtendInfo(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.ExtendInfo = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetType(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.Type = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetChannelOrderId(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.ChannelOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetPlatformVoucherSubsidyFee(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.PlatformVoucherSubsidyFee = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetMerchantVoucherSubsidyFee(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.MerchantVoucherSubsidyFee = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetPlatPackageFee(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.PlatPackageFee = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailDTO) SetUserPayAmount(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailDTO {
    s.UserPayAmount = &v
    return s
}
